#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint union_ad_ssgf.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  # 库的名称
  s.name             = 'union_ad_ssgf'
  # 库的版本号
  s.version          = '0.0.1'
  # 库的简要描述
  s.summary          = '一款优质的 Flutter 广告插件（腾讯广告、广点通、优量汇）'
  # 库的详细描述
  s.description      = <<-DESC
  一款优质的 Flutter 广告插件（腾讯广告、广点通、优量汇）.
                       DESC
  s.homepage         = 'http://example.com'
  # 库的许可证类型和文件路径
  s.license          = { :file => '../LICENSE' }
  
  # 库的作者姓名和电子邮件
  s.author           = { 'Your Company' => 'email@example.com' }
  # 库的源代码位置，可以是Git仓库的URL和标签或分支
  s.source           = { :path => '.' }
  
  # 包含库的主要源代码文件
  s.source_files = 'Classes/**/*'
  # s.public_header_files和s.private_header_files：分别指定公共和私有头文件。
  s.public_header_files = 'Classes/**/*.h'

  #  库的资源文件，如图片、故事板等
  #  s.resources = ""


  #  s.pod_target_xcconfig和s.xcconfig：Xcode项目的配置信息。
  # 库依赖的其他CocoaPods库。
  s.dependency 'Flutter'
  # 依赖版本: https://github.com/CocoaPods/Specs/tree/master/Specs/a/a/a/GDTMobSDK
  s.dependency 'GDTMobSDK','~> 4.15.10'
  
  # s.frameworks和s.libraries：库依赖的系统框架和库。
   s.static_framework = true
  
  # 库支持的最低iOS版本
  # s.watchos.deployment_target、s.tvos.deployment_target等：支持的其他平台和版本。
  # 广点通的 SDK 最低支持 9.0 所以，这里设置 9.0
  s.ios.deployment_target = '9.0'
  # Pod 支持的平台和版本。例如：s.platform = :ios, '8.0' 表示这个 Pod 支持 iOS 8.0 及更高版本。
  # s.platform = :ios, '9.0'
  
  # s.prefix_header_contents：前缀头文件的内容。
  # s.ios.exclude_files、s.osx.exclude_files等：排除的文件和平台。
  # 通过这些参数，开发者可以详细描述自己的库，确保其他开发者能够正确地使用和集成该库‌

  # s.vendored_frameworks = "Frameworks/*.framework"

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }

  s.swift_version = '5.0'
end
