package com.example.union_ad_ssgf;

import android.app.Activity
import com.example.union_ad_ssgf.bannerad.BannerAdViewFactory
import com.example.union_ad_ssgf.expressad.NativeExpressAdViewFactory
import com.example.union_ad_ssgf.splashad.SplashAdViewFactory
import io.flutter.embedding.engine.plugins.FlutterPlugin

object UnionAdSsgfViewPlugin {
    fun registerWith(binding: FlutterPlugin.FlutterPluginBinding, activity: Activity) {
        // 注册banner广告
        binding.platformViewRegistry.registerViewFactory(
            UnionAdSsgfConfig.bannerAdView,
            BannerAdViewFactory(binding.binaryMessenger, activity)
        )
        // 注册splash广告
        binding.platformViewRegistry.registerViewFactory(
            UnionAdSsgfConfig.splashAdView,
            SplashAdViewFactory(binding.binaryMessenger, activity)
        )
        // 注册Express广告
        binding.platformViewRegistry.registerViewFactory(
            UnionAdSsgfConfig.nativeAdView,
            NativeExpressAdViewFactory(binding.binaryMessenger, activity)
        )
    }
}